%define major	0
%define libname %mklibname kinoextensions %major

Name: 	 	smilutils
Summary: 	Command line tools for Kino's SMIL video format
Version: 	0.3.2
Release: 	%mkrel 20070731.16
Source:		%{name}-20070731.tar.bz2
Patch0:		smilutils-gcc4.3.patch
Patch1:		smilutils-gnome-stubs.patch
Patch2:		smilutils-module-link.patch
Patch3:		smilutils-0.3.2-automake-1.13.patch
Patch4:         smilutils-gcc10.patch
URL:		https://sf.net/projects/kino
License:	GPL
Group:		Video/Utilities
BuildRequires:	autoconf
BuildRequires:	pkgconfig(libdv) 
BuildRequires:	quicktime-devel 
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(sdl) 
BuildRequires:	libgdk_pixbuf2.0-devel 

%description
SMIL is the file format kino uses to save projects. Here are a collection of
command line tools for SMIL manipulation.

%package -n 	%{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries
Obsoletes:	%{libname}-devel

%description -n %{libname}
Dynamic libraries from %name.

%prep
%setup -q -n %name
%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p0
%patch -P 3 -p1 -b .automake-1_13
%patch -P 4 -p1

sed -i -e 's,AM_LDFLAGS =,LIBS = ../../extensions/libkinoextensions.la,' apps/*/Makefile.am

sed -i -e 's,$(prefix)/lib,%{_libdir},' libkino/Makefile.am extensions/Makefile.am

%build
./autogen.sh
%configure --disable-static
%make_build

%install
%make_install

find %buildroot -name *.la |xargs rm

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%doc README COPYING
%{_bindir}/*
%{_mandir}/man1/*

%files -n %libname
%{_libdir}/kino/*


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 0.3.2-20070731.16.mga10
+ Revision: 2128169
- Rebuild for patchN deprecation

* Sun Feb 12 2023 ghibo <ghibo> 0.3.2-20070731.15.mga9
+ Revision: 1940830
- Rebuild for aging

* Fri Apr 01 2022 umeabot <umeabot> 0.3.2-20070731.14.mga9
+ Revision: 1839841
- Mageia 9 Mass Rebuild

* Fri Jul 03 2020 joequant <joequant> 0.3.2-20070731.13.mga8
+ Revision: 1601658
- bump
- build gcc10
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 0.3.2-20070731.12.mga8
+ Revision: 1517071
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.3.2-20070731.11.mga7
+ Revision: 1301078
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Update make macros

* Mon Feb 08 2016 umeabot <umeabot> 0.3.2-20070731.10.mga6
+ Revision: 944213
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.2-20070731.9.mga5
+ Revision: 751166
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.2-20070731.8.mga5
+ Revision: 689210
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.2-20070731.7.mga4
+ Revision: 518417
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.3.2-20070731.6.mga3
+ Revision: 382202
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 0.3.2-20070731.5.mga3
+ Revision: 339789
- update rpm group for current policy
- patch3: fix build with automake 1.13

* Sun Jul 31 2011 fwang <fwang> 0.3.2-20070731.4.mga2
+ Revision: 130881
- use sed rather than chrpath
- br chrpath
- fix linkage

* Sat Mar 19 2011 ennael <ennael> 0.3.2-20070731.3.mga1
+ Revision: 74545
- fix patch
- fix gnome-stubs
- imported package smilutils

